Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.debugger.jpda
Class VariablesFilterAdapter

    java.lang.Object
      org.netbeans.spi.debugger.jpda.VariablesFilter
          org.netbeans.spi.debugger.jpda.VariablesFilterAdapter

    public abstract class VariablesFilterAdapter

extends VariablesFilter

Default "empty" implementation of `VariablesFilter` returns original values (name, icon, fields, ...) for given variable.

Constructor Summary
`VariablesFilterAdapter()`

Method Summary
`Action[]` | `getActions(NodeActionsProvider original, Variable variable)` Returns set of actions for given variable.
`Object[]` | `getChildren(TreeModel original, Variable variable, int from, int to)` Returns filtered children for given variable on given indexes.
`int` | `getChildrenCount(TreeModel original, Variable variable)` Returns number of filtered children for given variable.
`String` | `getDisplayName(NodeModel original, Variable variable)` Returns filterred display name for given variable.
`String` | `getIconBase(NodeModel original, Variable variable)` Returns filterred icon for given variable.
`String` | `getShortDescription(NodeModel original, Variable variable)` Returns filterred tooltip for given variable.
`abstract String[]` | `getSupportedAncestors()` Returns set of fully quilified class names (like java.lang.String) this filter is registerred to.
`abstract String[]` | `getSupportedTypes()` Returns set of fully quilified class names (like java.lang.String) this filter is registerred to.
`Object` | `getValueAt(TableModel original, Variable variable, String columnID)` Returns filterred value to be displayed in column `columnID` and for variable `variable`.
`boolean` | `isLeaf(TreeModel original, Variable variable)` Returns true if variable is leaf.
`boolean` | `isReadOnly(TableModel original, Variable variable, String columnID)` Filters original isReadOnly value from given table model.
`void` | `performDefaultAction(NodeActionsProvider original, Variable variable)` Performs default action for given variable.
`void` | `setValueAt(TableModel original, Variable variable, String columnID, Object value)` Changes a value displayed in column `columnID` for variable `variable`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariablesFilterAdapter

    public VariablesFilterAdapter()

Method Detail

### getSupportedAncestors

    public abstract String[] getSupportedAncestors()

  Returns set of fully quilified class names (like java.lang.String) this filter is registerred to.

  Specified by:
    `getSupportedAncestors` in class `VariablesFilter`
  Returns:
    set of fully quilified class names

### getSupportedTypes

    public abstract String[] getSupportedTypes()

  Returns set of fully quilified class names (like java.lang.String) this filter is registerred to.

  Specified by:
    `getSupportedTypes` in class `VariablesFilter`
  Returns:
    set of fully quilified class names

### getChildren

    public Object[] getChildren(TreeModel original,
                                Variable variable,
                                int from,
                                int to)
                         throws UnknownTypeException

  Returns filtered children for given variable on given indexes.

  Specified by:
    `getChildren` in class `VariablesFilter`
  Parameters:
    `original` - the original tree model
    `variable` - a variable of returned fields
  Returns:
    children for given parent on given indexes
  Throws:
    `NoInformationException` - if the set of children can not be resolved
    `ComputingException` - if the children resolving process is time consuming, and will be performed off-line
    `UnknownTypeException` - if this TreeModelFilter implementation is not able to resolve dchildren for given node type

### getChildrenCount

    public int getChildrenCount(TreeModel original,
                                Variable variable)
                         throws UnknownTypeException

  Returns number of filtered children for given variable.

  Specified by:
    `getChildrenCount` in class `VariablesFilter`
  Parameters:
    `original` - the original tree model
    `variable` - a variable of returned fields
  Returns:
    number of filtered children for given variable
  Throws:
    `NoInformationException` - if the set of children can not be resolved
    `ComputingException` - if the children resolving process is time consuming, and will be performed off-line
    `UnknownTypeException` - if this TreeModelFilter implementation is not able to resolve dchildren for given node type

### isLeaf

    public boolean isLeaf(TreeModel original,
                          Variable variable)
                   throws UnknownTypeException

  Returns true if variable is leaf.

  Specified by:
    `isLeaf` in class `VariablesFilter`
  Parameters:
    `original` - the original tree model
  Returns:
    true if node is leaf
  Throws:
    `UnknownTypeException` - if this TreeModel implementation is not able to resolve dchildren for given node type

### getDisplayName

    public String getDisplayName(NodeModel original,
                                 Variable variable)
                          throws UnknownTypeException

  Returns filterred display name for given variable.

  Specified by:
    `getDisplayName` in class `VariablesFilter`
  Returns:
    display name for given node
  Throws:
    `ComputingException` - if the display name resolving process is time consuming, and the value will be updated later
    `UnknownTypeException` - if this NodeModel implementation is not able to resolve display name for given node type

### getIconBase

    public String getIconBase(NodeModel original,
                              Variable variable)
                       throws UnknownTypeException

  Returns filterred icon for given variable.

  Specified by:
    `getIconBase` in class `VariablesFilter`
  Returns:
    icon for given node
  Throws:
    `ComputingException` - if the icon resolving process is time consuming, and the value will be updated later
    `UnknownTypeException` - if this NodeModel implementation is not able to resolve icon for given node type

### getShortDescription

    public String getShortDescription(NodeModel original,
                                      Variable variable)
                               throws UnknownTypeException

  Returns filterred tooltip for given variable.

  Specified by:
    `getShortDescription` in class `VariablesFilter`
  Returns:
    tooltip for given node
  Throws:
    `ComputingException` - if the tooltip resolving process is time consuming, and the value will be updated later
    `UnknownTypeException` - if this NodeModel implementation is not able to resolve tooltip for given node type

### getActions

    public Action[] getActions(NodeActionsProvider original,
                               Variable variable)
                        throws UnknownTypeException

  Returns set of actions for given variable.

  Specified by:
    `getActions` in class `VariablesFilter`
  Returns:
    set of actions for given variable
  Throws:
    `UnknownTypeException` - if this NodeActionsProvider implementation is not able to resolve actions for given node type

### performDefaultAction

    public void performDefaultAction(NodeActionsProvider original,
                                     Variable variable)
                              throws UnknownTypeException

  Performs default action for given variable.

  Specified by:
    `performDefaultAction` in class `VariablesFilter`
  Throws:
    `UnknownTypeException` - if this NodeActionsProvider implementation is not able to resolve actions for given node type

### getValueAt

    public Object getValueAt(TableModel original,
                             Variable variable,
                             String columnID)
                      throws UnknownTypeException

  Returns filterred value to be displayed in column `columnID` and for variable `variable`. Column ID is defined in by `ColumnModel.getID()`, and variables are defined by values returned from `TreeModel.getChildren(java.lang.Object, int, int)`.

  Specified by:
    `getValueAt` in class `VariablesFilter`
  Parameters:
    `original` - the original table model
    `variable` - a variable returned from `TreeModel.getChildren(java.lang.Object, int, int)` for this row
    `columnID` - a id of column defined by `ColumnModel.getID()`
  Returns:
    value of variable representing given position in tree table.
  Throws:
    `ComputingException` - if the value is not known yet and will be computed later
    `UnknownTypeException` - if there is no TableModel defined for given parameter type

### isReadOnly

    public boolean isReadOnly(TableModel original,
                              Variable variable,
                              String columnID)
                       throws UnknownTypeException

  Filters original isReadOnly value from given table model.

  Specified by:
    `isReadOnly` in class `VariablesFilter`
  Parameters:
    `original` - the original table model
    `variable` - a variable returned from `TreeModel.getChildren(java.lang.Object, int, int)` for this row
    `columnID` - a id of column defined by `ColumnModel.getID()`
  Returns:
    true if variable on given position is read only
  Throws:
    `UnknownTypeException` - if there is no TableModel defined for given parameter type

### setValueAt

    public void setValueAt(TableModel original,
                           Variable variable,
                           String columnID,
                           Object value)
                    throws UnknownTypeException

  Changes a value displayed in column `columnID` for variable `variable`. Column ID is defined in by `ColumnModel.getID()`, and variable are defined by values returned from `TreeModel.getChildren(java.lang.Object, int, int)`.

  Specified by:
    `setValueAt` in class `VariablesFilter`
  Parameters:
    `original` - the original table model
    `variable` - a variable returned from `TreeModel.getChildren(java.lang.Object, int, int)` for this row
    `columnID` - a id of column defined by `ColumnModel.getID()`
    `value` - a new value of variable on given position
  Throws:
    `UnknownTypeException` - if there is no TableModel defined for given parameter type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.